## org.apache.http.cookie
Class CookieRestrictionViolationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.http.HttpException
                  org.apache.http.ProtocolException
                      org.apache.http.cookie.MalformedCookieException
                          org.apache.http.cookie.CookieRestrictionViolationException

All Implemented Interfaces:
  Serializable

    @Immutable
    public class CookieRestrictionViolationException

extends MalformedCookieException

Signals that a cookie violates a restriction imposed by the cookie specification.

Since:
  4.1
See Also:
  Serialized Form

Constructor Summary
`CookieRestrictionViolationException()` Creates a new CookeFormatViolationException with a `null` detail message.
`CookieRestrictionViolationException(String message)` Creates a new CookeRestrictionViolationException with a specified message string.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CookieRestrictionViolationException

    public CookieRestrictionViolationException()

  Creates a new CookeFormatViolationException with a `null` detail message.

### CookieRestrictionViolationException

    public CookieRestrictionViolationException(String message)

  Creates a new CookeRestrictionViolationException with a specified message string.

  Parameters:
    `message` - The exception detail message

Copyright © 1999-2011 The Apache Software Foundation. All Rights Reserved.